# class Sass::Tree::MediaNode

A static node representing a `@media` rule. `@media` rules behave differently from other directives in that when they're nested within rules, they bubble up to top-level.

@see Sass::Tree

### Attributes

query[RW]

The media query for this rule, interspersed with {Sass::Script::Tree::Node}s representing `#{}`-interpolation. Any adjacent strings will be merged together.

@return [Array<String, Sass::Script::Tree::Node>]

resolved_query[RW]

The media query for this rule, without any unresolved interpolation. It's only set once {Tree::Visitors::Perform} has been run.

@return [Sass::Media::QueryList]

### Public Class Methods

new(query) click to toggle source

@param query [Array<String, Sass::Script::Tree::Node>] See {#query}

Calls superclass method Sass::Tree::DirectiveNode.new

    # File lib/sass/tree/media_node.rb, line 25
    def initialize(query)
      @query = query
      super('')
    end

### Public Instance Methods

invisible?() click to toggle source

True when the directive has no visible children.

@return [Boolean]

    # File lib/sass/tree/media_node.rb, line 44
    def invisible?
      children.all? {|c| c.invisible?}
    end

name() click to toggle source

@see Sass::Tree::DirectiveNode#name

    # File lib/sass/tree/media_node.rb, line 34
    def name; '@media'; end

resolved_value() click to toggle source

@see Sass::Tree::DirectiveNode#resolved_value

    # File lib/sass/tree/media_node.rb, line 37
    def resolved_value
      @resolved_value ||= "@media #{resolved_query.to_css}"
    end

value() click to toggle source

@see Sass::Tree::DirectiveNode#value

    # File lib/sass/tree/media_node.rb, line 31
    def value; raise NotImplementedError; end